
pkgname=st
appname=st
pkgver=0.8.1
pkgrel=1
pkgdesc='Simple virtual terminal emulator for X'
url='http://st.suckless.org/'
arch=('i686' 'x86_64')
license=('MIT')
options=('zipman')
depends=('libxft')
makedepends=('ncurses' 'libxext')
source=(
	http://dl.suckless.org/st/$appname-$pkgver.tar.gz
	http://st.suckless.org/patches/solarized/st-no_bold_colors-$pkgver.diff
	'0002-color-schemes.diff'
	'0001-paste-protection.patch'
	'config.h'
)
sha256sums=(
	'c4fb0fe2b8d2d3bd5e72763e80a8ae05b7d44dbac8f8e3bb18ef0161c7266926'
	'5a6e2b745c7746228e0ee4e84214e3ac7054e6d451bc5843364e878bb2011e3b'
	'e76bb3d7b2e436a1342e8d5982fb16672da9b05ffab712df97d0f962125d724f'
	'85c63b3d9cde866314af7f84f875a87324eceaa7cf91f5affb5e4e0f51c49ef2'
	'SKIP'
)

provides=("${appname}")
conflicts=("${appname}")

prepare() {
	local file
	cd "$appname-$pkgver"
	for file in "${source[@]}"; do
		if [[ "$file" == "config.h" ]]; then
			# add config.h if present in source array
			# Note: this supersedes the above sed to config.def.h
			cp "$srcdir/$file" .
		elif [[ "$file" == *.diff || "$file" == *.patch ]]; then
			# add all patches present in source array
			patch -Np1 <"$srcdir/$(basename ${file})"
		fi
	done
}

build() {
	cd "$appname-$pkgver"
	make X11INC=/usr/include/X11 X11LIB=/usr/lib/X11
}

package() {
	cd "$appname-$pkgver"
	make PREFIX=/usr DESTDIR="${pkgdir}" install
	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
	install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname}/README"
}
